## sdlip.xml.dom
Class XMLObject

    java.lang.Object
      |
      +--sdlip.xml.dom.XMLObject

All Implemented Interfaces:
  XMLObject

public class XMLObject
extends java.lang.Object
implements XMLObject

This is a DOM-enabled implementation of the SDLIP XMLObject interface described in the SDLIP Java tutorial.

Constructor Summary
`XMLObject()` Creates an empty XMLObject
`XMLObject(org.w3c.dom.Element e)`
`XMLObject(org.xml.sax.InputSource source)`
`XMLObject(java.lang.String xmldata)`

Method Summary
`static XMLObject` `create(XMLObject obj)`
`static org.w3c.dom.Document` `getDocument()`
`org.w3c.dom.Element` `getElement()`
`java.lang.String` `getPrettyString()` WARNING: Use this for debugging purposes only.
`java.lang.String` `getString()` Standard get method
`protected void` `init()`
`protected static java.lang.String` `prettyPrintElement(org.w3c.dom.Element el)`
`void` `setElement(org.w3c.dom.Element e)`
`static void` `setElement(XMLObject obj, org.w3c.dom.Element el)`
`void` `setInputSource(org.xml.sax.InputSource source)`
`void` `setString(java.lang.String XMLStr)` Standard set method

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLObject

    public XMLObject()

  Creates an empty XMLObject

### XMLObject

    public XMLObject(org.w3c.dom.Element e)

### XMLObject

    public XMLObject(java.lang.String xmldata)
              throws SDLIPException

### XMLObject

    public XMLObject(org.xml.sax.InputSource source)
              throws SDLIPException

Method Detail

### init

    protected void init()

### getDocument

    public static org.w3c.dom.Document getDocument()

### setElement

    public void setElement(org.w3c.dom.Element e)

### getElement

    public org.w3c.dom.Element getElement()

### getString

    public java.lang.String getString()
                               throws SDLIPException

  Standard get method

  Specified by:
    `getString` in interface `XMLObject`
    `SDLIPException`

### getPrettyString

    public java.lang.String getPrettyString()
                                     throws SDLIPException

  WARNING: Use this for debugging purposes only. Whitespace is not preserved in the generated output!

    `SDLIPException`

### setString

    public void setString(java.lang.String XMLStr)
                   throws SDLIPException

  Standard set method

  Specified by:
    `setString` in interface `XMLObject`
    `SDLIPException`

### setInputSource

    public void setInputSource(org.xml.sax.InputSource source)
                        throws SDLIPException

    `SDLIPException`

### create

    public static XMLObject create(XMLObject obj)
                            throws SDLIPException

    `SDLIPException`

### setElement

    public static void setElement(XMLObject obj,
                                  org.w3c.dom.Element el)
                           throws SDLIPException

    `SDLIPException`

### prettyPrintElement

    protected static java.lang.String prettyPrintElement(org.w3c.dom.Element el)
                                                  throws SDLIPException

    `SDLIPException`